Bug 1128606 - EL5 repos should create repodata with md5 checksum
Summary: EL5 repos should create repodata with md5 checksum
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Valentin Gologuzov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 08:04 UTC by Miroslav Suchý
Modified: 2015-12-01 06:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-25 07:30:56 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2014-08-11 08:04:06 UTC
Description of problem:

I got a complant about a el5 repo: 

>
> kevin-spamassassin-el/primary_db
> | 8.0 kB     00:00
> http://copr-be.cloud.fedoraproject.org/results/kevin/spamassassin-el/epel-5-i386/repodata/f4e8852a350249d7c87d91cf2bd40a839feed7e341436339e6c2f9e03dfb0fca-primary.sqlite.bz2:
> [Errno -3] Error performing checksum Trying other mirror. Error:
> failure:
> repodata/f4e8852a350249d7c87d91cf2bd40a839feed7e341436339e6c2f9e03dfb0
> fca-primary.sqlite.bz2 from kevin-spamassassin-el: [Errno 256] No
> more mirrors to try.

This is due to el5 having a really old yum and python-hashlib being
optional. If they have it installed, it works, if not it does not.
Perhaps copr could pass 'md5' for those repos? Or say people need
python-hashlib... 


We want to pass 
 "--checksum md5" to createrepo_c if target platform is el5.

Comment 1 Valentin Gologuzov 2014-08-22 10:39:50 UTC
Fixed, deploed on copr-be-dev.cloud.fedoraproject.org


Note You need to log in before you can comment on or make changes to this bug.